/*
 * chpas_treeview.js
 * (C) Ivan Cherednichenko, 2011. All Rights Reserved.
 * Version: 1000
 * http://www.chpas.narod.ru
 */
 
//   .
var cTREEVIEW_CLOSED = 'chpas_treeview\/chpas_treeview_closed.gif';
var cTREEVIEW_OPENED = 'chpas_treeview\/chpas_treeview_opened.gif';
var cTREEVIEW_ITEM_NAME = 'cherednichenko_treeview_parent';
var cTREEVIEW_ITEM_INDICATOR_NAME = 'cherednichenko_treeview_indicator_image';

function cherednichenko_reverseDisplay
             (AObj, AVisibleClassName, AHiddenClassName) {
    if ( AObj.className == AVisibleClassName ) {
        AObj.className = AHiddenClassName;
    }
    else {
        AObj.className = AVisibleClassName;
    }  // if..else
}  // cherednichenko_reverseDisplay


function cherednichenko_treeview_updateImageIndicator
             (AObj, ASrc) {
    AObj.src = ASrc;
}  // cherednichenko_treeview_updateImageIndicator


function cherednichenko_treeview_update
             (AItemsObj, AImageIndicatorObj) {
    cherednichenko_reverseDisplay
        (AItemsObj,
         'cherednichenko_visibleElement', 'cherednichenko_hiddenElement');
        
    if ( AItemsObj.className == 'cherednichenko_visibleElement' ) {
        cherednichenko_treeview_updateImageIndicator
            (AImageIndicatorObj, cTREEVIEW_OPENED);  
    }   
    else {
        cherednichenko_treeview_updateImageIndicator
            (AImageIndicatorObj, cTREEVIEW_CLOSED);  
    }  // if..else
}  // cherednichenko_treeview_update


function cherednichenko_treeview_dotree
             (AIndex) {
    var itemsObj = document.all[cTREEVIEW_ITEM_NAME + AIndex];
    AIndex--;
    var indicatorObj = document.all[cTREEVIEW_ITEM_INDICATOR_NAME + AIndex];
    cherednichenko_treeview_update(itemsObj, indicatorObj);
}  // cherednichenko_treeview_dotree